summaryrefslogtreecommitdiffstats
path: root/dvm/2598/testcase
diff options
context:
space:
mode:
Diffstat (limited to 'dvm/2598/testcase')
-rwxr-xr-xdvm/2598/testcase21
1 files changed, 21 insertions, 0 deletions
diff --git a/dvm/2598/testcase b/dvm/2598/testcase
new file mode 100755
index 0000000..94c8b9c
--- /dev/null
+++ b/dvm/2598/testcase
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+sleep 5;
+
+$GLUSTERFSDIR/gluster volume set $global_bug_id nfs.volume-access reed-only | grep -i "is not valid" 2>/dev/null 1>/dev/null;
+temp=$?;
+
+tail -n 20 $GLUSTERFSDIR/../var/log/glusterfs/nfs.log | grep -i "is not valid" 2>/dev/null 1>/dev/null;
+temp1=$?;
+
+if [ $temp1 -eq 0 ] || [ $temp -eq 0 ]; then
+ exit 0;
+else
+ exit 1;
+fi